//!
//! @file $RCSfile: mc_control.h,v $
//!
//! Copyright (c) 2007 Atmel.
//!
//! @brief Regulation Loop Functions
//!
//! @version $Revision: 1.3 $
//!

#ifndef _MC_CONTROL_H_
#define _MC_CONTROL_H_

U8 mc_control_speed(U8 speed_cmd);
U8 mc_control_current(U8 cur_cmd);

void mc_regulation_loop();

void mc_set_Open_Loop();
void mc_set_Speed_Loop();
void mc_set_Current_Loop();

U8 mc_get_Duty_Cycle();

#endif
